/** @format */

import request from "@/utils/request";

// 获取制造单位接口
export function getManufacturingUnits(params) {
  return request({
    url: "/api/instrument/listMechanismLikeName",
    method: "get",
    params,
  });
}

//获取区域数据
export function getArea() {
  return request({
    url: "/api/register/getRegionglsNew",
    method: "get",
  });
}

//提交器具信息
export function submitAddExternal(data) {
  return request({
    url: "/api/instrument/addInstrument",
    method: "post",
    data,
  });
}

//台账shanchu
export function deleteExternal(id) {
  return request({
    url: "/api/instrument/remove/" + id,
    method: "delete",
  });
}
