/** @format */

import request from "@/utils/request";

//我的申请列表
export const msgList = (params) => {
  return request({
    url: "/api/msg/list",
    method: "get",
    params,
  });
};

//获取消息详细
export function getMessageDetails(params) {
  return request({
    url: "/api/msg/readMsg",
    method: "get",
    params,
  });
}

export function getReadMessageState() {
  return request({
    url: "/api/msg/notReadMsgCount",
    method: "get",
  });
}

//获取计量数据
export function getMeteringData(params) {
  return request({
    url: "/api/instrument/earlyWarning",
    method: "get",
  });
}
